# bdm::elognorm Class Reference

`#include <exp_family.h>`

List of all members.

## Public Member Functions
vec | sample () const
| Returns a sample, from density .
vec | mean () const
| return expected value
virtual void | dupdate (mat &v)
| TODO decide if it is really needed.
virtual double | evallog (const vec &val) const
| Evaluate normalized log-probability.
virtual vec | evallog (const mat &Val) const
| Evaluate normalized log-probability for many samples.
virtual void | pow (double p)
| Power of the density, used e.g. to flatten the density.
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
Constructors
void | set_parameters (const vec &mu, const ldmat &R)
void | from_setting (const Setting &root)
void | validate ()
| This method TODO.
Constructors
Construction of each epdf should support two types of constructors: empty constructor, copy constructor, The following constructors should be supported for convenience: constructor followed by calling `set_parameters()` constructor accepting random variables calling `set_rv()` All internal data structures are constructed as empty. Their values (including sizes) will be set by method `set_parameters()`. This way references can be initialized in constructors.
void | set_parameters (int dim0)
Mathematical operations
void | dupdate (mat &v, double nu=1.0)
| dupdate in exponential form (not really handy)
mat | sample (int N) const
double | evallog_nn (const vec &val) const
| Evaluate normalized log-probability.
double | lognc () const
| logarithm of the normalizing constant,
vec | variance () const
| return expected variance (not covariance!)
mpdf * | condition (const RV &rvn) const
| Return conditional density on the given RV, the remaining rvs will be in conditioning.
enorm< ldmat > * | marginal (const RV &rv) const
| Return marginal density on the given RV, the remainig rvs are intergrated out.
Access to attributes
vec & | _mu ()
void | set_mu (const vec mu0)
ldmat & | _R ()
const ldmat & | _R () const
Matematical Operations
virtual mat | sample_m (int N) const
| Returns N samples, from density .
virtual vec | evallog_m (const mat &Val) const
| Compute log-probability of multiple values argument `val`.
virtual vec | evallog_m (const Array< vec > &Avec) const
| Compute log-probability of multiple values argument `val`.
virtual void | qbounds (vec &lb, vec &ub, double percentage=0.95) const
| Lower and upper bounds of `percentage` % quantile, returns mean-2*sigma as default.
Connection to other classes
Description of the random quantity via attribute `rv` is optional. For operations such as sampling `rv` does not need to be set. However, for `marginalization` and `conditioning` `rv` has to be set. NB:
void | set_rv (const RV &rv0)
| Name its rv.
bool | isnamed () const
| True if rv is assigned.
const RV & | _rv () const
| Return name (fails when isnamed is false).
Access to attributes
int | dimension () const
| Size of the random variable.
## Protected Attributes
vec | mu
| mean value
ldmat | R
| Covariance matrix in decomposed form.
int | dim
| dimension of the random variable
RV | rv
| Description of the random variable.

## Detailed Description

Log-Normal probability density only allow diagonal covariances!

Density of the form , i.e.

## Member Function Documentation

void bdm::enorm< ldmat >::from_setting | ( | const Setting & | set | ) | `[virtual, inherited]`

Load from structure with elements:

     { rv = {class="RV", names=(...),}; // RV describing meaning of random variable
       // elements of offsprings
     }

Reimplemented from bdm::epdf.

The documentation for this class was generated from the following file:

- exp_family.h